GET /api/quick/defi
Quick DeFi summary
GET defi data from quick service
Endpoint​
GET https://api.web3identity.com/api/quick/defi
Example Request​
curl -s "https://api.web3identity.com/api/quick/defi" | jq
Responses​
200 Success​
{
"name": "Aave",
"slug": "aave",
"tvl": 27800000000,
"change24h": 2.5,
"change7d": 8.3,
"chains": [
"ethereum",
"polygon",
"arbitrum",
"avalanche"
],
"category": "Lending",
"description": "Decentralized lending protocol",
"url": "https://aave.com",
"twitter": "@AaveAave",
"audit": true,
"auditLinks": [
"https://aave.com/security"
]
}
400 Bad request - invalid parameters​
{
"example": "response"
}
402 Payment required​
404 Resource not found​
{
"example": "response"
}
429 Rate Limited​
{
"example": "response"
}
500 Internal Server Error - Something went wrong on our end​
{
"error": "Internal server error",
"code": "INTERNAL_ERROR"
}
Auto-generated from OpenAPI spec